---
{%- from "apt/map.jinja" import apt with context %}
apt-deps:
  pkg.installed:
    - pkgs:
      - avahi-daemon
      - avahi-utils

apt-proxy-detect:
  file.managed:
    - name: /usr/local/bin/apt-proxy-detect.py
    - source: salt://apt/templates/apt.py.j2
    - template: jinja
    - mode: "0755"

{% for itemkey, itemvalue in apt.config.items() -%}
apt-proxy-{{ itemkey }}:
  file.managed:
    - name: /etc/apt/apt.conf.d/{{ itemkey }}
    - user: root
    - group: root
    - mode: "0644"
    - contents: {{ itemvalue }}
{% endfor -%}
