---
{%- from "provision/map.jinja" import provision with context %}
{%- from "provision/map.jinja" import specs with context %}
schedule_highstate:
  schedule.present:
    - name: schedule_highstate
    - function: state.highstate
    - minutes: {{ provision.highstate_interval }}
    - run_on_start: false

schedule_saltutil_clear_cache:
  schedule.present:
    - name: schedule_saltutil_clear_cache
    - function: saltutil.clear_cache
    - days: {{ provision.clear_cache_interval }}
    - run_on_start: false

{% for key, value in specs.items() %}
grains-{{ key }}:
  grains.present:
    - name: {{ key }}
    - value: {{ value }}
    - force: true
{% endfor %}
